This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 372081 - pavucontrol segfaults during its startup
pavucontrol segfaults during its startup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pavucontrol (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-08 22:02 EST by Tuomas Pennanen
Modified: 2008-04-02 12:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 12:13:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
gnome bug report for pavucontrol (296.90 KB, text/plain)
2007-11-15 21:45 EST, mattg
no flags Details

  None (edit)
Description Tuomas Pennanen 2007-11-08 22:02:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.9) Gecko/20071105 Fedora/1.1.6-1.fc8 SeaMonkey/1.1.6

Description of problem:
The program crashes during startup. Only error message received is "Segmentation fault".

Version-Release number of selected component (if applicable):
pavucontrol-0.9.5-0.4

How reproducible:
Always


Steps to Reproduce:
1. type pavucontrol in command prompt


Actual Results:
I see the window frame for a very short moment which after the message "Segmentation fault" is printed to console.

Expected Results:


Additional info:
This is a fresh install of FC8 and KDE, so just about everything is still in its default configuration.

I'm not familiar with tracing bugs, but anyway typing

gdb pavucontrol
>run

shows lots of warnings about missing debug info and then finally this:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 47730284512464 (LWP 4092)]
0x00002b690f8ab5c0 in strlen () from /lib64/libc.so.6

and clips from >backtrace :

#0  0x00002b690f8ab5c0 in strlen () from /lib64/libc.so.6
#1  0x00002b690c63d20c in Glib::ustring::operator= ()
   from /usr/lib64/libglibmm-2.4.so.1
#5  0x00002b690ec6afbf in non-virtual thunk to Gtk::VBox::~VBox() ()
   from /usr/lib64/libpulse.so.0
#6  0x00002b690ec6b276 in pa_pdispatch_run () from /usr/lib64/libpulse.so.0
...
Comment 1 mattg 2007-11-15 21:45:31 EST
Created attachment 260691 [details]
gnome bug report for pavucontrol

This happens for me, too.  Attached is the bug report Gnome generated upon the
pavucontrol crash.
Comment 2 Ian Westcott 2007-12-17 02:46:08 EST
Any word on this yet?
Comment 3 Ian Westcott 2007-12-17 04:53:34 EST
A little more information, to add on to what others have already posted.

I recompiled pavucontrol with debugging symbols and ran it through gdb. Here's
what I gathered so far:

It crashes on line 848 of pavucontrol.cc:
defaultSourceName = info.default_source_name

The info structure:
$2 = (const pa_server_info &) @0xbfc6e130: {user_name = 0x92236b6 "ianw",
host_name = 0x92236be "media", server_version = 0x92236af "0.9.7", server_name =
0x92236a3 "pulseaudio", sample_spec = {format = PA_SAMPLE_S16LE, rate = 44100,
channels = 2 '\002'}, default_sink_name = 0x0, default_source_name = 0x0, cookie
= 2498977642}

I'm guessing pulse doesn't have a default set, but I'm not sure how to correct this.
Comment 4 Tuomas Pennanen 2007-12-18 06:13:46 EST
Well, I always configure my own kernel, and that plays some role on this bug.
When I rebooted my machine with the FC8 default kernel, all went fine. So I took
that config as a template and tailored my new kernel that I have used
successfully. The config I was initially using was my own config that had been
working on FC7.

Bottom line is, there was something wrong in my kernel, but instead of giving me
an error message, pavucontrol just crashed.
Comment 5 Lennart Poettering 2008-03-28 17:05:52 EDT
This has been fixed upstream in r68. I will shortly update Rawhide accordingly.
Comment 6 Lennart Poettering 2008-04-02 12:13:15 EDT
Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.